import React from 'react';
import { Icon, IconProps } from '../Icon';


export const IconRegenerate = (props: IconProps) => {
    return <Icon  id="IconRegenerate" {...props}>
        <path fillRule="evenodd" clipRule="evenodd" d="M12 3.5C9.33535 3.5 6.94031 4.6577 5.29151 6.5H7C7.55228 6.5 8 6.94772 8 7.5C8 8.05228 7.55228 8.5 7 8.5H3.33782C2.78554 8.5 2.33782 8.05228 2.33782 7.5V3.83782C2.33782 3.28554 2.78554 2.83782 3.33782 2.83782C3.8901 2.83782 4.33782 3.28554 4.33782 3.83782V4.60771C6.31794 2.68506 9.02027 1.5 12 1.5C12.5523 1.5 13 1.94772 13 2.5C13 3.05228 12.5523 3.5 12 3.5ZM16 3.83782C16 3.28554 16.4477 2.83782 17 2.83782H20.6622C21.2145 2.83782 21.6622 3.28554 21.6622 3.83782C21.6622 4.3901 21.2145 4.83782 20.6622 4.83782H19.8923C21.8149 6.81794 23 9.52027 23 12.5C23 13.0523 22.5523 13.5 22 13.5C21.4477 13.5 21 13.0523 21 12.5C21 9.83535 19.8423 7.44031 18 5.79151V7.5C18 8.05228 17.5523 8.5 17 8.5C16.4477 8.5 16 8.05228 16 7.5V3.83782ZM2 11.5C2.55228 11.5 3 11.9477 3 12.5C3 15.1647 4.1577 17.5597 6 19.2085V17.5C6 16.9477 6.44772 16.5 7 16.5C7.55228 16.5 8 16.9477 8 17.5V21.1622C8 21.7145 7.55228 22.1622 7 22.1622H3.33782C2.78554 22.1622 2.33782 21.7145 2.33782 21.1622C2.33782 20.6099 2.78554 20.1622 3.33782 20.1622H4.10772C2.18507 18.1821 1 15.4797 1 12.5C1 11.9477 1.44772 11.5 2 11.5ZM16 17.5C16 16.9477 16.4477 16.5 17 16.5H20.6622C21.2145 16.5 21.6622 16.9477 21.6622 17.5V21.1622C21.6622 21.7145 21.2145 22.1622 20.6622 22.1622C20.1099 22.1622 19.6622 21.7145 19.6622 21.1622V20.3923C17.6821 22.3149 14.9797 23.5 12 23.5C11.4477 23.5 11 23.0523 11 22.5C11 21.9477 11.4477 21.5 12 21.5C14.6647 21.5 17.0597 20.3423 18.7085 18.5H17C16.4477 18.5 16 18.0523 16 17.5Z" />
    </Icon>;
};

export default IconRegenerate;
